﻿<%@ Page Language="C#" MasterPageFile="~/JitbitCRMMaster.Master" AutoEventWireup="true" CodeBehind="ContactView.aspx.cs" Inherits="JitbitCRM.ContactView" %>
<%@ Register src="Comments.ascx" tagname="Comments" tagprefix="uc1" %>
<%@ Register src="Tasks.ascx" tagname="Tasks" tagprefix="uc2" %>
<%@ Register src="Files.ascx" tagname="Files" tagprefix="uc3" %>
<%@ Register src="Projects.ascx" tagname="Projects" tagprefix="uc4" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<div class="vcard">
<div class="leftContent">
	<div class="outerroundedbox grey" style="overflow:hidden">
	<img class="avatar" src="AvatarImage.ashx?ContactID=<%= _contactId %>" alt="" style="float:left;margin-right:10px;" />
	Contact
	<h1><asp:label id="lblName" runat="server" CssClass="fn" EnableViewState="False"></asp:label></h1>

	<asp:Label ID="lblTitle" runat="server" EnableViewState="false"></asp:Label>
	<asp:Label ID="lblAt" runat="server" EnableViewState="false">at</asp:Label>
	<a id="aCompany2" class="org" runat="server" enableviewstate="false"></a>
	
	</div>

	<ul class="tabmenu2 blueheader">
	<li runat="server" id="liComments" enableviewstate="false">
		<a href="ContactView.aspx?ContactID=<%=_contactId %>"><asp:Label id="lblHistory" runat="server">History</asp:Label></a></li>
	<li runat="server" id="liTasks" enableviewstate="false">
		<a href="ContactView.aspx?ContactID=<%=_contactId %>&Tasks=1"><asp:Label id="lblTasks" runat="server">Tasks</asp:Label></a></li>
	<li runat="server" id="liFiles" enableviewstate="false">
		<a href="ContactView.aspx?ContactID=<%=_contactId %>&Files=1"><asp:Label id="lblFiles" runat="server" EnableViewState="false">Files</asp:Label></a></li>
	<li runat="server" id="liProjects" enableviewstate="false">
		<a href="ContactView.aspx?ContactID=<%=_contactId %>&Projects=1"><asp:Label id="lblProjects" runat="server" EnableViewState="false">Projects</asp:Label></a></li>	
	</ul>

	<div class="outerroundedbox">
	<uc1:Comments ID="Comments1" runat="server" ShowProjectLinks="true" ShowAttachToProject="true"></uc1:Comments>
	<uc2:Tasks ID="Tasks1" runat="server" ShowProjectLinks="true" ShowAttachToProject="true" />
	<uc3:Files ID="Files1" runat="server" ShowProjectLinks="true" />
	<uc4:Projects ID="Projects1" runat="server" ShowContactLinks="true" ShowProjectLinks="true" ShowAttachToProject="true"  />
	</div>
</div>
<div class="rightsidebar">
	<table cellpadding="7" width="100%" class="outerroundedbox lightbg adr">
		<tr><th colspan="2">
			<span style="float:left">Contact details</span>
			<a href="ContactEdit.aspx?ContactID=<%=_contactId %>" style="float:right">edit...</a>
		</th></tr>
		<tr>
			<td class="grey" width="30%" align="right">Tags:</td>
			<td align="left"><asp:Label ID="lblTags" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Assigned to:</td>
			<td align="left"><a href="" id="lnkAssignedTo" runat="server" enableviewstate="false"></a></td>
		</tr>
		<tr>
			<td class="grey" align="right">Company:</td>
			<td align="left"><a id="aCompany1" runat="server" enableviewstate="false"></a></td>
		</tr>
		<tr>
			<td class="grey" align="right">Title:</td>
			<td align="left"><asp:Label ID="lblTitle2" runat="server" EnableViewState="false"></asp:Label></td>
		</tr>
		<tr>    
			<td class="grey" align="right">Email:</td>
			<td align="left"><a href="SendEmail.aspx?ContactID=<%= _contactId %>"><asp:Label ID="lblEmail" CssClass="email" runat="server" EnableViewState="False" /></a></td>
		</tr>
		<tr>    
			<td class="grey" align="right">Comments:</td>
			<td align="left"><asp:Label ID="lblComments" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Phone:</td>
			<td align="left"><asp:Label ID="lblPhone" CssClass="tel" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Fax:</td>
			<td align="left"><asp:Label ID="lblFax" runat="server" CssClass="tel" EnableViewState="False" /></td>
		</tr>
		<tr>    
			<td class="grey" align="right">MobilePhone:</td>
			<td align="left"><asp:Label ID="lblMobilePhone" CssClass="tel" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>    
			<td class="grey" align="right">Address1:</td>
			<td align="left"><asp:Label CssClass="street-address" ID="lblAddress1" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			
			<td class="grey" align="right">Address2:</td>
			<td align="left"><asp:Label ID="lblAddress2" CssClass="extended-address" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Postal Code:</td>
			<td align="left"><asp:Label ID="lblPostalCode" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">City:</td>
			<td align="left"><asp:Label ID="lblCity" CssClass="locality" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">State/Region:</td>
			<td align="left"><asp:Label ID="lblStateRegion" CssClass="region" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Country:</td>
			<td align="left"><asp:Label ID="lblCountry" CssClass="country-name" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right"><a href="" target="_blank" id="linkMap" runat="server" enableviewstate="false" title="locate on Google Maps">show on map...</a></td>
			<td class="grey" align="right"><a href="GetVCard.ashx?ContactID=<%=_contactId %>" title="export to vCard">export to vCard <img src="images/vcard.png" alt="vCard" /></a></td>
		</tr>
		
		
		<asp:Repeater ID="rptCustomFields" runat="server" EnableViewState="false">
			<HeaderTemplate><tr><td colspan="2"><hr /></td></tr></HeaderTemplate>
			<ItemTemplate>
				<tr><td align="right" class="grey"><%# Eval("FieldName") %>:</td><td><%# ShowCustomFieldValue( Eval("FieldID"), Eval("Type"),  Eval("Value")) %></td></tr>
			</ItemTemplate>
		</asp:Repeater>
		
		<tr>
			<td></td><td align="right" class="grey"><a href="ContactPrint.aspx?ContactID=<%=_contactId %>">print <img src="images/print.png" alt="print" /></a></td>
		</tr>
	</table>
</div>
<div class="clearfix"></div>
</div>
</asp:Content>