﻿<%@ Page Title="" Language="C#" MasterPageFile="JitbitCRMMaster.Master" AutoEventWireup="true" CodeBehind="ProjectEdit.aspx.cs" Inherits="JitbitCRM.ProjectEdit" %>
<%@ Register src="TagsTextBox.ascx" tagname="TagsTextBox" tagprefix="uc1" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<table class="outerroundedbox lightbg grey" cellpadding="11" style="margin-left:auto;margin-right:auto;">
<tr>
	<th colspan="2" class="gradientbg">
		<asp:Label ID="lblTitle" runat="server" EnableViewState="False">Project</asp:Label>
		</th>
</tr>
<tr runat="server" id="trRelated" visible="false"><td colspan='2' align="center" class="darkbg"><asp:Label ID="lblRelated" runat="server" EnableViewState="False"></asp:Label></td></tr>
<tr class="entityTitle">
	<td style="white-space:nowrap" align="right">
		* Name:
		<asp:RequiredFieldValidator ValidationGroup="project" ID="rqvName" runat="server" Display="Dynamic" ControlToValidate="tbName" ErrorMessage="***" />
	</td>
	<td>
		<asp:TextBox ID="tbName" runat="server"></asp:TextBox>
		<asp:CustomValidator ID="cvldUnqueName" runat="server" ErrorMessage="Name already taken" OnServerValidate="cvldUnqueName_ServerValidate" ValidationGroup="project" />
	</td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right"><b>Tags:</b> (comma-separated)</td>
	<td><uc1:TagsTextBox runat="server" ID="tbTags" /></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Project value:</td>
	<td>
		<asp:TextBox ID="tbValue" runat="server"></asp:TextBox>
		<asp:DropDownList ID="ddlCurrency" runat="server">
			<asp:ListItem Value="USD" Text="$ - USD"></asp:ListItem>
			<asp:ListItem Value="EUR" Text="€ - EUR"></asp:ListItem>
			<asp:ListItem Value="GBP" Text="£ - GBP"></asp:ListItem>
			<asp:ListItem Value="" Text="---"></asp:ListItem>
			<asp:ListItem Value="AED" Text="د.إ - AED"></asp:ListItem>
			<asp:ListItem Value="ANG" Text="ƒ - ANG"></asp:ListItem>
			<asp:ListItem Value="ARS" Text="$ - ARS"></asp:ListItem>
			<asp:ListItem Value="BBD" Text="$ - BBD"></asp:ListItem>
			<asp:ListItem Value="BGL" Text="лв - BGL"></asp:ListItem>
			<asp:ListItem Value="BHD" Text="BD - BHD"></asp:ListItem>
			<asp:ListItem Value="BND" Text="$ - BND"></asp:ListItem>
			<asp:ListItem Value="BRL" Text="R$ - BRL"></asp:ListItem>
			<asp:ListItem Value="CAD" Text="$ - CAD"></asp:ListItem>
			<asp:ListItem Value="CHF" Text="Fr - CHF"></asp:ListItem>
			<asp:ListItem Value="CLF" Text="UF - CLF"></asp:ListItem>
			<asp:ListItem Value="CLP" Text="$ - CLP"></asp:ListItem>
			<asp:ListItem Value="CNY" Text="¥ - CNY"></asp:ListItem>
			<asp:ListItem Value="COP" Text="$ - COP"></asp:ListItem>
			<asp:ListItem Value="CRC" Text="₡ - CRC"></asp:ListItem>
			<asp:ListItem Value="CZK" Text="Kč - CZK"></asp:ListItem>
			<asp:ListItem Value="DKK" Text="kr - DKK"></asp:ListItem>
			<asp:ListItem Value="EEK" Text="KR - EEK"></asp:ListItem>
			<asp:ListItem Value="EGP" Text="E£ - EGP"></asp:ListItem>
			<asp:ListItem Value="HKD" Text="$ - HKD"></asp:ListItem>
			<asp:ListItem Value="HRK" Text="kn - HRK"></asp:ListItem>
			<asp:ListItem Value="HUF" Text="Ft - HUF"></asp:ListItem>
			<asp:ListItem Value="IDR" Text="Rp - IDR"></asp:ListItem>
			<asp:ListItem Value="ILS" Text="₪ - ILS"></asp:ListItem>
			<asp:ListItem Value="INR" Text="₨ - INR"></asp:ListItem>
			<asp:ListItem Value="JOD" Text="د.ا - JOD"></asp:ListItem>
			<asp:ListItem Value="JPY" Text="¥ - JPY"></asp:ListItem>
			<asp:ListItem Value="KES" Text="KSh - KES"></asp:ListItem>
			<asp:ListItem Value="KRW" Text="₩ - KRW"></asp:ListItem>
			<asp:ListItem Value="KWD" Text="KD - KWD"></asp:ListItem>
			<asp:ListItem Value="LTL" Text="Lt - LTL"></asp:ListItem>
			<asp:ListItem Value="LVL" Text="Ls - LVL"></asp:ListItem>
			<asp:ListItem Value="MVR" Text="Rf - MVR"></asp:ListItem>
			<asp:ListItem Value="MXN" Text="$ - MXN"></asp:ListItem>
			<asp:ListItem Value="MYR" Text="RM - MYR"></asp:ListItem>
			<asp:ListItem Value="NGN" Text="₦ - NGN"></asp:ListItem>
			<asp:ListItem Value="NOK" Text="kr - NOK"></asp:ListItem>
			<asp:ListItem Value="NZD" Text="$ - NZD"></asp:ListItem>
			<asp:ListItem Value="PEN" Text="S/. - PEN"></asp:ListItem>
			<asp:ListItem Value="PHP" Text="₱ - PHP"></asp:ListItem>
			<asp:ListItem Value="PLN" Text="zł - PLN"></asp:ListItem>
			<asp:ListItem Value="RON" Text="L - RON"></asp:ListItem>
			<asp:ListItem Value="RUB" Text="руб. - RUB"></asp:ListItem>
			<asp:ListItem Value="SAR" Text="ر.س - SAR"></asp:ListItem>
			<asp:ListItem Value="SEK" Text="kr - SEK"></asp:ListItem>
			<asp:ListItem Value="SGD" Text="$ - SGD"></asp:ListItem>
			<asp:ListItem Value="THB" Text="฿ - THB"></asp:ListItem>
			<asp:ListItem Value="TRY" Text="TL - TRY"></asp:ListItem>
			<asp:ListItem Value="TTD" Text="$ - TTD"></asp:ListItem>
			<asp:ListItem Value="TWD" Text="$ - TWD"></asp:ListItem>
			<asp:ListItem Value="UAH" Text="₴ - UAH"></asp:ListItem>
			<asp:ListItem Value="VEF" Text="Bs F - VEF"></asp:ListItem>
			<asp:ListItem Value="VND" Text="₫ - VND"></asp:ListItem>
			<asp:ListItem Value="XCD" Text="$ - XCD"></asp:ListItem>
			<asp:ListItem Value="ZAR" Text="R - ZAR"></asp:ListItem>
		</asp:DropDownList>
	</td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Assigned to:</td>
	<td><asp:DropDownList ID="ddlAssignTo" runat="server"></asp:DropDownList></td>
</tr>
<tr>
	<td colspan="2">
		<asp:CheckBox ID="cbClosed" runat="server" Text="Closed" />
	</td>
</tr>
<td colspan="2">
	<asp:Button ID="btnSubmit" ValidationGroup="project" runat="server" Font-Bold="true" Text="Save" onclick="btnSubmit_Click" />        
	<asp:Button ID="btnDelete" runat="server" Text="Delete" OnClick="btnDelete_Click" OnClientClick="return confirm('are you sure?');" />
</td>

<!--custom fields-->	
<asp:Repeater id="rptCustomFields" runat="server" EnableViewState="false">
<HeaderTemplate>
	<tr><td colspan="2" style="border-top:1px solid silver">
	Custom fields:
	<script type="text/javascript">
		var mandatoryCustomFieldIds = new Array();
	</script>
	<asp:CustomValidator Display="Dynamic"
		ErrorMessage="Please fill the mandatory fields"
		ID="ValidatorCustomFields" runat="server"
		ClientValidationFunction="ValidateMandatoryCustomFields" />
	</td></tr>
</HeaderTemplate>
<ItemTemplate>
	<tr>
		<td style="text-align:right;white-space:nowrap" class="grey"> <%# (bool)Eval("Mandatory") ? "*" : "" %> <%# Eval("FieldName") %>:</td>
		<td>
			<%# RenderCustomFieldInput(Eval("Type"), Eval("FieldID"), Eval("value"))%>
			<%# (bool)Eval("Mandatory") ? "<script type='text/javascript'> mandatoryCustomFieldIds[mandatoryCustomFieldIds.length] = '" + Eval("FieldID") + "';</script>" : "" %>
			<%# (bool)Eval("Mandatory") ? "<span style='display:none;color:red' id='mandatoryFieldAlert" + Eval("FieldID") + "'>!!!</span>" : ""%>
		</td>
	</tr>
</ItemTemplate>
</asp:Repeater>

</table>

<!--datepicker-->
<script type="text/javascript">
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});
</script>

<script language="javascript" type="text/javascript">
	document.getElementById("<%= tbName.ClientID %>").focus();
</script>

</asp:Content>