use master
go

-- create database with default parameters 
create database JitbitCRM
go

-- create a login called 'JitbitCRMUser' 
-- remember to change the password
--/*exec sp_addlogin 'JitbitCRMUser', 'CRMPassword1', 'JitbitCRM'*/
-- "sp_addlogin" is deprecated so lets use CREATE LOGIN INSTEAD
CREATE LOGIN JitbitCRMUser WITH PASSWORD='CRMPassword1', CHECK_EXPIRATION=OFF, CHECK_POLICY=ON
go

-- switch to the context of the new database 
use JitbitCRM
go

-- add JitbitCRMUser as a user in this database 
-- assign him to the db_datareader role 
exec sp_adduser 'JitbitCRMUser', 'JitbitCRMUser', 'db_datareader' 

-- add the new user to the db_datawriter role 
EXEC sp_addrolemember 'db_datawriter', 'JitbitCRMUser' 
GO